Recent Posts

Pages: [1] 2 3 ... 10
1
Feature Requests / extension line height for progressive dimensions
« Last post by bdeck on Today at 09:39:08 AM »
This is a minor item.

When drawing progressive dimensions, I believe most users would prefer that the final point be used to set the extension line height, as in version 17 and earlier, rather than the third point, as in versions 18-27.

PS: When testing export and import of asymmetric dimensions, (eg types 79, 75) developers should not use import to validate the accuracy of exported dimensions. Previous developers did that, and the result was that both export and import were buggy.
 
2
Looking For Help? / Re: Locking hatching to a starting point in an object
« Last post by Lar on September 19, 2018, 07:12:13 AM »

Hatch Pattern Position (HPP) often forgets it's supposed to be on, though. After a few days or so you may notice the hatch went back to it's 0,0,0 origins.


The only solution I have for this is to make duplicates of the hatches (on other layers that will normally be off) and explode the originals after setting the custom origin. Exploding hatches turns them into line entities so I group them while they are still selected. The file size would obviously increase but in these days of inexpensive data that's not a huge issue. Plus it's better than sometime later opening the file, forgetting about the hatch issue, printing, and then re-discovering the issue.


Fyi: the reason I duplicate the hatches is because each could have different settings and if I ever want to make a small change to one I don't have to try to remember its settings. Another problem I find with hatches is that changing the Working Plane would reset all hatches to 0 angle. For this reason I don't use Working Planes (since my hatch angles are often not 0) but if I did then exploding would help here too. It would mess up the un-exploded duplicates, though.


Lar
3
Looking For Help? / Re: Locking hatching to a starting point in an object
« Last post by adriank on September 18, 2018, 05:41:59 PM »
I think what you are looking for is a command called 'Hatch Pattern Position'.
(It's the bottom of the list in the Edit menu)
You get to set 2 points - the first being a point on the hatch pattern you choose and the second being where on your drawing you want that to line up with.

It can be useful to centre tile patterns on floor plans etc...


Adrian
4
Looking For Help? / Locking hatching to a starting point in an object
« Last post by meperkins on September 18, 2018, 01:05:04 PM »
I'm a longtime user of DesignCad (1996 Work, 2000 Modeling)

I'm a model railroader with a laser and have been using hatching to put siding on walls and seams in floors. The hatching has always had a random starting point (I thought).

I just found that the starting point for the hatching is the zero on the ruler. That doesn't help when working on a building with four walls. It also doesn't work when I make a file to cut the parts on the laser. Zero on the ruler can't be the starting point for all the parts.

What I would like to be able to do is lock the starting point of the hatch I selected to a specific corner of an object. An example would be exterior walls with vertical siding. The material that I use is a scale 10 inches thick. If I set the hatching to produce vertical lines at a scale 10 inches the joint at the corner would appear to be the siding and not look like a joint.

5
COM, OLE Automation, .NET / Re: How to use Python with DesignCAD
« Last post by Zarathustra on September 15, 2018, 02:30:50 AM »
Dear Members,

now I'm able to use "SetCommandPonts" to create a Curve.

I'm testet with DC Version 24. I bought "a new one"  ;)

I changed back to win32com instead of comtypes, because "SetCommandPoints" works with VARIANTS, an I was able to get "GetUserPoint" to work by VARIANTS.

I' don't know why, but GetUserPoint needs (z, y, x) instead of (x, y, z) because the first Variable is in 2D-Mode set to zero.

Now, here ist my source code:

import sys
import wx
import numpy as np
from win32com.client import Dispatch as DP
from win32com.client import VARIANT
import pythoncom

def Mitteilung(Nachricht, Titel):
    app = wx.App()
    frame = wx.Frame(None)
    frame.Center()
    frame.Close()
    app.MainLoop()
    wx.MessageDialog(None, Nachricht, Titel, wx.OK | wx.ICON_INFORMATION).ShowModal()

def main():
    try:
        DcApp = DP("DesignCAD.Application")
        Mitteilung("Sinus gestartet", "Makro einfacher Sinus")
    except:
        Mitteilung("Kein DesignCAD", "Bitte zuerst DesignCAD starten, Abbruch!")
        sys.exit(0)

    DcApp.BringToTop()
    DcApp.Visible = 1
    DcDoc = DcApp.ActiveDocument
    DcPts = DcDoc.CmdPoints
    DcCurve = DcDoc.Curve

    x_start = VARIANT(pythoncom.VT_BYREF | pythoncom.VT_R8, 0.0)
    y_start = VARIANT(pythoncom.VT_BYREF | pythoncom.VT_R8, 0.0)
    z_start = VARIANT(pythoncom.VT_BYREF | pythoncom.VT_R8, 0.0)

    DcPts.GetUserPoint(z_start, y_start, x_start)

    x_start = x_start.value
    y_start = y_start.value
    z_start = z_start.value

    x_werte = np.linspace(0.,2*np.pi,300,True)
    y_werte = np.sin(x_werte)

    Punkte = np.zeros(3*np.alen(x_werte))

    for i in range(np.alen(x_werte)):
        j = 3 * i
        Punkte[j] = x_werte + x_start
        j = j + 1
        Punkte[j] = y_werte + y_start
        j = j + 1
        Punkte[j] = 0.0 + z_start

    vPkte = VARIANT(pythoncom.VT_BYREF | pythoncom.VT_ARRAY | pythoncom.VT_R8, Punkte)

    Anz = np.alen(x_werte)
    vAnz = VARIANT(pythoncom.VT_BYREF | pythoncom.VT_I4, Anz)


    DcCurve.DrawType = 0
    DcPts.SetCommandPoints(vAnz, vPkte)
    DcCurve.Draw

if __name__ == '__main__':
    main()

Best regards

Volker
 
6
Looking For Help? / Re: Specifying line lengths
« Last post by Rob S on September 13, 2018, 12:21:09 PM »
For someone who hasn't used CAD at all, any CAD program will be a deep dive into a dark tunnel, with the light being some ways off..

If she has the patience to learn it, and unless her associates ie other consultants require ACAD work-together, Designcad can be a good choice.

Certainly one of the cheapest ways to get a quality professional program to get started with.
7
General Discussion / Re: Determine if patches were installed?
« Last post by Dr PR on September 10, 2018, 09:48:04 PM »
BlankMan,

Like you, I don't do things the Windows way - at least the dumbed down Apple like later versions. I deplore the "My crap" folders and use the file system for all file transfers to specific folders.

Nevertheless, I find quite a bit of garbage in the Windows download folder, including some files I thought I had put elsewhere. For one thing, any time you open a file directly from the Internet it is first copied to the download folder. So if you open a PDF file and then save it from Acrobat Reader to a specific folder a copy remains in the Download folder. Some program updates are saved in the Download folder.

Phil
8
Looking For Help? / Re: Specifying line lengths
« Last post by bdeck on September 10, 2018, 09:25:00 PM »
I could specify a start point for a line and the press TAB, and enter a line length, and then press ENTER and the line would be drawn. Is this feature available in DesignCAD?

The macro attached should do something similar to what you describe. It should work ok in preset point mode (CADrpn) or standard mode. In preset point mode, you can set 0, 1, or 2 points before running the macro.

Assign it to a key (press Q/ keyboard for the shortcut menu) or call it from the command line. (Dunno if the TAB key is available. F1 is  not available.) 

Look here http://forum.designcadcommunity.com/index.php?topic=30.0 to see a list of standard key assignments.

You can modify the macro once you get your feet wet.

Regards,
bd

PS: I'll leave it to others to answer your second question. 
9
General Discussion / Re: Determine if patches were installed?
« Last post by BlankMan on September 10, 2018, 08:36:13 PM »
Thanks Phil. I see now how the date in the "About" corresponds to the patch date. Looks like I do have #1 in but not 2 & 3.

Oh and, I doubt there's anything in my Windows download folder, I don't conform to Windoze ways of doing things...
10
Looking For Help? / Re: Specifying line lengths
« Last post by Watdazit on September 10, 2018, 08:27:48 PM »
Thanks guys. Another reason for wanting to get back into CAD was I met an architect a short while ago who I noticed had Parkinsons. I asked her what CAD program she used and she told me she didn't! I offered to get her started with CAD and thought DesignCAD could be a good starting point. Am I right?
Pages: [1] 2 3 ... 10